#
# spec file for package cowsay
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if 0%{?suse_version} >= 1140
%{?!perl_requires:%define perl_requires() Requires: perl = %{perl_version}}
%endif
Name:           cowsay
Version:        3.04
Release:        bp154.1.20
Summary:        Configurable talking cow (and some other creatures)
License:        GPL-3.0-or-later
Group:          Amusements/Toys/Other
URL:            https://github.com/tnalpgge/rank-amateur-cowsay
Source:         https://github.com/tnalpgge/rank-amateur-cowsay/archive/cowsay-%{version}.tar.gz
Patch0:         one-eye.patch
Patch1:         chami.patch
BuildRequires:  bash
BuildRequires:  perl
BuildArch:      noarch
%{perl_requires}

%description
cowsay is a configurable talking cow, written in Perl.  It operates
much as the figlet program does, and it written in the same spirit
of silliness.

%prep
%setup -q -n rank-amateur-cowsay-%{name}-%{version}
sed -i "s|,\$%{nil}PREFIX,|,%{_prefix},|" install.sh
%patch0 -p1
%patch1 -p1

%build
perl -c cowsay

%install
bash ./install.sh %{buildroot}%{_prefix}
mv -T %{buildroot}%{_prefix}/man/ %{buildroot}%{_mandir}
rm -f %{buildroot}%{_datadir}/cows/mech-and-cow

%files
%license LICENSE
%doc ChangeLog MANIFEST README
%{_bindir}/%{name}
%{_bindir}/cowthink
%{_datadir}/cows
%{_mandir}/man1/*

%changelog
* Wed Sep  2 2020 Dirk Mueller <dmueller@suse.com>
- update to 3.0.4:
  - Licensing terms have changed to GPLv3.
  - Friendlier to being hosted on GitHub.
  - No functionality changes whatsoever.
* Wed Jun 26 2019 Marketa Calabkova <mcalabkova@suse.com>
- Add SUSE brand
  * chami.patch -- big chameleon picture named chameleon.cow
  * one-eye.patch -- helper patch to allow the chameleon to be dead
* Sat May 27 2017 sor.alexei@meowr.ru
- Add perl to BuildRequires in order to make the package rebuild
  when perl was updated.
* Sat Apr 26 2014 andreas.stieger@gmx.de
- use verbatim upstream source tarball
- use version number used upstream
- add source URLs, see https://en.opensuse.org/SourceUrls
- add source tarball signature verification
- specify perl requirements as per packaging recommendations
* Sun Apr  6 2014 sor.alexei@meowr.ru
- Initial package.
